
#include <DOS.H>
#include "harddetc.h"


#pragma argsused
int Reader_Error_Handler ( int errval, int ax, int bp, int si)
{
	hardresume( _HARDERR_IGNORE);
	return 1;
}

int c_break (void)
{
	return 1;
}

int main()
{
    int iResult = 0;
    CHardDetecPc hHardDetec;
	
	harderr( Reader_Error_Handler);
	ctrlbrk( c_break);

    iResult = hHardDetec.DiscoverTypeOfPc();
    return iResult;
}
